Bug 1491555 - [Sat6.2] Misleading information when applying Installable Errata in WEBUI > Content Host
Summary: [Sat6.2] Misleading information when applying Installable Errata in WEBUI > ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.2.11
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Nikhil Kathole
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 07:03 UTC by jalviso
Modified: 2021-06-10 13:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (124.04 KB, image/png)
2018-01-02 13:09 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21796 0 Normal Closed Misleading information when applying Installable Errata in WEBUI > Content Host 2021-02-03 15:45:42 UTC
Red Hat Bugzilla 1405528 1 None None None 2021-09-09 12:02:47 UTC

Internal Links: 1405528

Description jalviso 2017-09-14 07:03:41 UTC
Description of problem:

Applying Installable Errata to a registered Host in Satellite WEBUI displays
misleading information.

Version-Release number of selected component (if applicable):  Satellite 6.2.11

How reproducible: 

All the time

Steps to Reproduce:

Administer > Settings > Katello

Erratum Install Batch Size 	0 	

(Note: I put specific example)
1. Apply Installable Errata to a registered RHEL7.3 host that has 283 Errata
2. Hosts > Content Host > select RHEL7.3 Host with 283 applicable errata > 
3. Errata > Select all boxes (top left) without scrolling down to the last page
4. Click blue text "Select all 283" in:
          "All 40 items on this page are selected. Select all 283."
Result:
          "283 results are selected. Deselect all"
           
5. Select "Apply Selected". 
(Option to go further to dropdown selection and choose "via Katello agent" it doesn't matter.)

Actual results:

Task will process the first 40 Errata on the List, need to go back to the:
    Content Host > Errata tab > 
to continue of scroll down to the last page to select all.

Expected results:

Task should process all 283 Errata. The message says "283 results are selected"
and beside "Apply Selected" button has "283 Selected". 

Additional info:

It is a known fact that scrolling down to the last page will get all errata applied but the display message "283 results selected" is very misleading and should be corrected.

Comment 2 Brad Buckingham 2017-09-20 20:51:07 UTC
Created redmine issue http://projects.theforeman.org/issues/21047 from this bug

Comment 4 Walden Raines 2017-11-28 16:47:36 UTC
Created redmine issue http://projects.theforeman.org/issues/21796 from this bug

Comment 5 Walden Raines 2017-11-28 16:52:07 UTC
PR: https://github.com/Katello/katello/pull/7089

Comment 6 Walden Raines 2017-12-12 14:27:39 UTC
This has been merged: 169f0cc209e8a2ae692e03a6cf89153fedb2a5eb

Comment 7 Nikhil Kathole 2018-01-02 13:09:22 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 30

steps:
1. Registered a content host having errata
2. Navigated to Hosts -> content host -> host
3. Clicked on Errata
4. Clicked on checkbox to select all

No link for 'select all N' appeared as per PR that removed Content host errata select all N. (see attachment)

Comment 8 Nikhil Kathole 2018-01-02 13:09:43 UTC
Created attachment 1375718 [details]
screenshot of UI

Comment 9 jalviso 2018-01-04 02:44:04 UTC
Hi,

In my Sat 6.3 Beta test VM, it is working as expected:

- Hosts > Content Hosts > my_host > Errata tab > 

1. Selecting the main box (box left of "Type") to check all boxes works. 
   I got (for example):

          All 13 items on this page are selected. Select all 13.

My only comment here is that; all boxes are already selected but we have this blue clickable text "Select all 13" to select again and lock in. 

2. After clicking "Select all 13"

          13 results are selected. Deselect all

The checks are then locked in and the only way to uncheck is to  click  "Deselect all"

3. Then " Apply Selected" for options.

I will try to test with a Content Host that has more than 13 installable errata.
This UI change is good enough for me and I'm sure with my customer.

Regards,

Josephine Alviso
GSS - APAC

Comment 10 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.